---
release_number: "12.0"
title: "GitLab 12.0 released with Visual Reviews and Dependency List"
author: Jeremy Watson
author_gitlab: jeremy
author_twitter: gitJeremy
image_title: '/images/12_0/12_0-cover-image.jpg'
description: "GitLab 12.0 released with Visual Reviews, Dependency List, and much more!"
twitter_image: '/images/tweets/gitlab-12-0-released.png'
categories: releases
layout: release
featured: yes
header_layout_dark: true
# release_number_dark: true #uncomment if you want a dark release number
---

## Dev, Sec, and Ops

GitLab 12.0 marks a key step in our journey to create an inclusive approach to
DevSecOps, empowering "everyone to contribute".

For the past year, we've been on an amazing journey, collaborating and creating
a solution that brings teams together. There have been thousands of community
contributions making GitLab more lovable.

<iframe width="560" height="315" src="https://www.youtube.com/embed/sboJfUylJFA" frameborder="0" allow="accelerometer; autoplay; encrypted-media; gyroscope; picture-in-picture" allowfullscreen></iframe>

We believe everyone can contribute, and we’ve enabled cross-team collaboration,
faster delivery of great code, and bringing together Dev, Ops, and Security.

### Visual Reviews
{:.intro-header}

GitLab review applications are a fantastic tool to enable stakeholders from
Operations to QA to business owners to evaluate and approve application changes
before production.

In GitLab 12.0, [we make it easy to provide visual feedback](#visual-reviews)
directly from the review app. It’s simple and streamlined, no toggling between
different tabs and typing your feedback, helping to shorten review cycles and
accelerate delivery.

### Project Dependency List
{:.intro-header-h3}

Projects typically include dozens of individual components, which can introduce
vulnerabilities. Often, security and compliance teams need to be aware of the
specific components included in a project.

Now, we're making making it [easy to view a project's dependencies](#project-dependency-list)
in a single source of truth.

### Limit access based on IP address
{:.intro-header-h3}

 Some organizations want to limit access to their repositories based on
 specific IP addresses.

 In GitLab 12.0, [you can specifically prohibit](#restrict-access-by-ip-address)
 traffic from outside IP addresses from accessing your GitLab data.
